Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.monitoring.probe.servlet
Class AbstractRegularSamplingServletContextListener

    java.lang.Object
      kieker.monitoring.probe.servlet.AbstractRegularSamplingServletContextListener

All Implemented Interfaces:
  EventListener, javax.servlet.ServletContextListener

Direct Known Subclasses:
  ClassLoadingServletContextListener, CompilationServletContextListener, CPUMemUsageServletContextListener, CPUsCombinedServletContextListener, GCServletContextListener, JVMMemoryServletContextListener, JVMUptimeServletContextListener, ThreadStatusServletContextListener

    public abstract class AbstractRegularSamplingServletContextListener

extends Object
implements javax.servlet.ServletContextListener

Since:
  1.10
Author:
  Nils Christian Ehmke, Andre van Hoorn

Field Summary
`static long` | `DEFAULT_SENSOR_INITIAL_DELAY_SECONDS`
`static long` | `DEFAULT_SENSOR_INTERVAL_SECONDS`

Constructor Summary
`AbstractRegularSamplingServletContextListener()` Empty default constructor.

Method Summary
`void` | `contextDestroyed(javax.servlet.ServletContextEvent event)`
`void` | `contextInitialized(javax.servlet.ServletContextEvent event)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_SENSOR_INTERVAL_SECONDS

    public static final long DEFAULT_SENSOR_INTERVAL_SECONDS

See Also:
  Constant Field Values

### DEFAULT_SENSOR_INITIAL_DELAY_SECONDS

    public static final long DEFAULT_SENSOR_INITIAL_DELAY_SECONDS

See Also:
  Constant Field Values

Constructor Detail

### AbstractRegularSamplingServletContextListener

    public AbstractRegularSamplingServletContextListener()

  Empty default constructor.

Method Detail

### contextDestroyed

    public void contextDestroyed(javax.servlet.ServletContextEvent event)

  Specified by:
    `contextDestroyed` in interface `javax.servlet.ServletContextListener`

### contextInitialized

    public void contextInitialized(javax.servlet.ServletContextEvent event)

  Specified by:
    `contextInitialized` in interface `javax.servlet.ServletContextListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net